| http \
GET \
https://api.example.com/api/user-action-providers/ \
Authorization:"Token YOUR_API_TOKEN"
|
| from waldur_api_client.client import AuthenticatedClient
from waldur_api_client.api.user_action_providers import user_action_providers_list # (1)
client = AuthenticatedClient(
base_url="https://api.example.com", token="YOUR_API_TOKEN"
)
response = user_action_providers_list.sync(client=client)
for item in response:
print(item)
|
- API Source:
user_action_providers_list
| import { userActionProvidersList } from 'waldur-js-client';
try {
const response = await userActionProvidersList({
auth: "Token YOUR_API_TOKEN"
});
console.log('Success:', response);
} catch (error) {
console.error('Error:', error);
}
|
| Name |
Type |
Description |
page |
integer |
A page number within the paginated result set. |
page_size |
integer |
Number of results to return per page. |
200 -
The response body is an array of objects, where each object has the following structure:
| Field |
Type |
id |
integer |
app_name |
string |
provider_class |
string |
action_type |
string |
is_enabled |
boolean |
schedule |
string |
last_execution |
string (date-time) |
last_execution_status |
string |